> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkinf.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Firewall Rule

> Retrieve details for a VPC firewall rule

Get detailed information about a specific firewall rule, including its configuration and current state.


## OpenAPI

````yaml GET /projects/{projectId}/vpc/firewall-rules/{id}
openapi: 3.1.0
info:
  title: mkinf API v0.1
  description: ''
  version: 1.0.0
servers:
  - url: https://api.mkinf.io/v0.1
    description: Prod Env
security: []
tags: []
paths:
  /projects/{projectId}/vpc/firewall-rules/{id}:
    get:
      tags: []
      summary: Get Firewall Rule
      description: Retrieve details for a VPC firewall rule
      parameters:
        - name: projectId
          in: path
          description: Project id
          required: true
          example: b3e571f6-c87d-4135-8081-ab219e92544e
          schema:
            type: string
            format: uuid
        - name: id
          in: path
          description: Firewall rule id
          required: true
          example: c8c3d306-eff4-4d35-a09e-8efe320706c2
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  direction:
                    type: string
                  action:
                    type: string
                  vpc_network_id:
                    type: string
                  state:
                    type: string
                  sources:
                    type: array
                    items:
                      type: object
                      properties:
                        resource_id:
                          type: string
                        cidr:
                          type: string
                  source_ports:
                    type: array
                    items:
                      type: string
                  destinations:
                    type: array
                    items:
                      type: object
                      properties:
                        resource_id:
                          type: string
                        cidr:
                          type: string
                  destination_ports:
                    type: array
                    items:
                      type: string
                  protocols:
                    type: array
                    items:
                      type: string
                required:
                  - id
                  - name
                  - direction
                  - action
                  - vpc_network_id
                  - state
                  - sources
                  - source_ports
                  - destinations
                  - destination_ports
                  - protocols
              examples:
                '1':
                  summary: Success
                  value:
                    id: c8c3d306-eff4-4d35-a09e-8efe320706c2
                    name: default-allow-subnet-tcp-udp-us-northcentral1-a
                    direction: ingress
                    action: allow
                    vpc_network_id: 2d7fe075-b3d6-4201-b397-b17b754bece1
                    state: active
                    sources:
                      - cidr: 172.27.0.0/20
                        resource_id: ''
                    source_ports: []
                    destinations:
                      - cidr: 172.27.0.0/20
                        resource_id: ''
                    destination_ports: []
                    protocols:
                      - tcp
                      - udp
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````